HttpProbe

class oci.healthchecks.models.HttpProbe(**kwargs)

Bases: object

A summary that contains all of the mutable and immutable properties for an HTTP probe.

Attributes:

METHOD_GET

A constant which can be used with the method property of a HttpProbe.

METHOD_HEAD

A constant which can be used with the method property of a HttpProbe.

PROTOCOL_HTTP

A constant which can be used with the protocol property of a HttpProbe.

PROTOCOL_HTTPS

A constant which can be used with the protocol property of a HttpProbe.

compartment_id

Gets the compartment_id of this HttpProbe.

headers

Gets the headers of this HttpProbe.

home_region

Gets the home_region of this HttpProbe.

id

Gets the id of this HttpProbe.

method

Gets the method of this HttpProbe.

path

Gets the path of this HttpProbe.

port

Gets the port of this HttpProbe.

protocol

Gets the protocol of this HttpProbe.

results_url

Gets the results_url of this HttpProbe.

targets

Gets the targets of this HttpProbe.

time_created

Gets the time_created of this HttpProbe.

timeout_in_seconds

Gets the timeout_in_seconds of this HttpProbe.

vantage_point_names

Gets the vantage_point_names of this HttpProbe.

Methods:

__init__(**kwargs)

Initializes a new HttpProbe object with values from keyword arguments.

METHOD_GET = 'GET'

A constant which can be used with the method property of a HttpProbe. This constant has a value of “GET”

METHOD_HEAD = 'HEAD'

A constant which can be used with the method property of a HttpProbe. This constant has a value of “HEAD”

PROTOCOL_HTTP = 'HTTP'

A constant which can be used with the protocol property of a HttpProbe. This constant has a value of “HTTP”

PROTOCOL_HTTPS = 'HTTPS'

A constant which can be used with the protocol property of a HttpProbe. This constant has a value of “HTTPS”

__init__(**kwargs)

Initializes a new HttpProbe object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • id (str) – The value to assign to the id property of this HttpProbe.

  • results_url (str) – The value to assign to the results_url property of this HttpProbe.

  • home_region (str) – The value to assign to the home_region property of this HttpProbe.

  • time_created (datetime) – The value to assign to the time_created property of this HttpProbe.

  • compartment_id (str) – The value to assign to the compartment_id property of this HttpProbe.

  • targets (list[str]) – The value to assign to the targets property of this HttpProbe.

  • vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this HttpProbe.

  • port (int) – The value to assign to the port property of this HttpProbe.

  • timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this HttpProbe.

  • protocol (str) – The value to assign to the protocol property of this HttpProbe. Allowed values for this property are: “HTTP”, “HTTPS”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

  • method (str) – The value to assign to the method property of this HttpProbe. Allowed values for this property are: “GET”, “HEAD”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

  • path (str) – The value to assign to the path property of this HttpProbe.

  • headers (dict(str, str)) – The value to assign to the headers property of this HttpProbe.

property compartment_id

Gets the compartment_id of this HttpProbe. The OCID of the compartment.

Returns

The compartment_id of this HttpProbe.

Return type

str

property headers

Gets the headers of this HttpProbe. A dictionary of HTTP request headers.

Note: Monitors and probes do not support the use of the Authorization HTTP header.

Returns

The headers of this HttpProbe.

Return type

dict(str, str)

property home_region

Gets the home_region of this HttpProbe. The region where updates must be made and where results must be fetched from.

Returns

The home_region of this HttpProbe.

Return type

str

property id

Gets the id of this HttpProbe. The OCID of the resource.

Returns

The id of this HttpProbe.

Return type

str

property method

Gets the method of this HttpProbe. Allowed values for this property are: “GET”, “HEAD”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

Returns

The method of this HttpProbe.

Return type

str

property path

Gets the path of this HttpProbe. The optional URL path to probe, including query parameters.

Returns

The path of this HttpProbe.

Return type

str

property port

Gets the port of this HttpProbe. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.

Returns

The port of this HttpProbe.

Return type

int

property protocol

Gets the protocol of this HttpProbe. Allowed values for this property are: “HTTP”, “HTTPS”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.

Returns

The protocol of this HttpProbe.

Return type

str

property results_url

Gets the results_url of this HttpProbe. A URL for fetching the probe results.

Returns

The results_url of this HttpProbe.

Return type

str

property targets

Gets the targets of this HttpProbe. A list of targets (hostnames or IP addresses) of the probe.

Returns

The targets of this HttpProbe.

Return type

list[str]

property time_created

Gets the time_created of this HttpProbe. The RFC 3339-formatted creation date and time of the probe.

Returns

The time_created of this HttpProbe.

Return type

datetime

property timeout_in_seconds

Gets the timeout_in_seconds of this HttpProbe. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.

Returns

The timeout_in_seconds of this HttpProbe.

Return type

int

property vantage_point_names

Gets the vantage_point_names of this HttpProbe. A list of names of vantage points from which to execute the probe.

Returns

The vantage_point_names of this HttpProbe.

Return type

list[str]